diff --git a/build_pdata.sh b/build_pdata.sh
index 96a3eafea765dc1c5304b7bd44287e8fe1519664..c30929bbf3f0eabce7595d85d1a6b2326ba5e4a9 100644
--- a/build_pdata.sh
+++ b/build_pdata.sh
@@ -8,6 +8,16 @@ echo "Machine: $2"
 mkdir src/config
 
 git submodule init
+if [ $? -ne 0 ]; then
+  echo -e "Configure\033[91;5;1m FAILED \033[0m"
+  exit 1
+fi
+
+git submodule update
+if [ $? -ne 0 ]; then
+  echo -e "Configure\033[91;5;1m FAILED \033[0m"
+  exit 1
+fi
 
 # pull from all the projects
 cd openfpm_data
@@ -42,12 +52,6 @@ if [ $? -ne 0 ]; then
 fi
 cd ..
 
-git submodule update
-if [ $? -ne 0 ]; then
-  echo -e "Configure\033[91;5;1m FAILED \033[0m"
-  exit 1
-fi
-
 cd openfpm_data
 git checkout develop
 cd ..